%global pkg_name        Class-DBI
%global pkg_version     v3.0.17
%global rpm_pkg_version 3.0.17
%global rpm_pkg_release 1.n0i.20

Summary:       Simple SQL-based object persistance
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(version)
%if %{!?_without_test:1}0
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(Class::Accessor) >= 0.18
BuildRequires: perl(Class::Data::Inheritable) >= 0.02
BuildRequires: perl(Class::Trigger) >= 0.07
BuildRequires: perl(Clone)
BuildRequires: perl(File::Temp) >= 0.12
BuildRequires: perl(Ima::DBI) >= 0.33
BuildRequires: perl(List::Util) >= 1.00
BuildRequires: perl(Scalar::Util) >= 1.08
BuildRequires: perl(UNIVERSAL::moniker) >= 0.06
%endif

Requires: perl(Class::Accessor) >= 0.18
Requires: perl(Class::Data::Inheritable) >= 0.02
Requires: perl(Ima::DBI) >= 0.33
Requires: perl(Scalar::Util) >= 1.08


%description
Class::DBI provides a convenient abstraction layer to a database.

It not only provides a simple database to object mapping layer, but can
be used to implement several higher order database functions (triggers,
referential integrity, cascading delete etc.), at the application level,
rather than at the database.

This is particularly useful when using a database which doesn't support
these (such as MySQL), or when you would like your code to be portable
across multiple databases which might implement these things in
different ways.

In short, Class::DBI aims to make it simple to introduce 'best practice'
when dealing with data stored in a relational database.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_encoding Changes}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 3.0.17-1.n0i.20.v3.0.17
- version v3.0.17

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 3.0.16-2.n0i.19.v3.0.16
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Thu Feb 22 2007 Marius FERARU <altblue@n0i.net> - 3.0.16-1.n0i.18.v3.0.16
- v3.0.16
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Mon Jan 30 2006 Marius FERARU <altblue@n0i.net> 3.0.14-1.n0i.17.v3.0.14
- version v3.0.14

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 3.0.13-1.n0i.16.v3.0.13
- version v3.0.13

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 3.0.9-1.n0i.15.v3.0.9
- version v3.0.9

* Tue Sep 20 2005 Marius FERARU <altblue@n0i.net> 3.0.7-1.n0i.14.v3.0.7
- version v3.0.7

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 3.0.5-1.n0i.13.v3.0.5
- version v3.0.5
- requirements update: Scalar::Util >= 1.08

* Mon Sep 12 2005 Marius Feraru <altblue@n0i.net> 3.0.3-1.n0i.12
- version 3.0.3

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.99_9-1.n0i.11.0.999
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0.96-3.n0i.10
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0.96-2.n0i.9
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius FERARU <altblue@n0i.net> 0.96-1.n0i.8
- version 0.96
- spec updates (requirements)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0.95-6.n0i.7
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0.95-5.n0i.6
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0.95-4.n0i.5
- automatic rebuild (perl v.5.8.3)

* Sat Jan 10 2004 Marius FERARU <altblue@n0i.net> 0.95-3.n0i.4
- version 0.95

* Fri Jan 09 2004 Marius FERARU <altblue@n0i.net> 0.95-2.n0i.3.0.95_08
- version 0.95_08
- added more buidrequires

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0.95-1.n0i.2.0.95_07
- version 0.95_07

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0.94-1.n0i.1
- version 0.94
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
